<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpProcBrowserDialog: GIMP Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Library Reference Manual">
<link rel="up" href="libgimpui.html" title="Part II. GIMP User Interface Library">
<link rel="prev" href="libgimp-gimppatternmenu.html" title="gimppatternmenu">
<link rel="next" href="libgimp-GimpProcView.html" title="GimpProcView">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpProcBrowserDialog.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpProcBrowserDialog.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpProcBrowserDialog.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpProcBrowserDialog.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpui.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="libgimp-gimppatternmenu.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libgimp-GimpProcView.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpProcBrowserDialog"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpProcBrowserDialog.top_of_page"></a>GimpProcBrowserDialog</span></h2>
<p>GimpProcBrowserDialog — The dialog for the procedure and plugin browsers.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpProcBrowserDialog.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpProcBrowserDialog.html#gimp-proc-browser-dialog-new" title="gimp_proc_browser_dialog_new ()">gimp_proc_browser_dialog_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpProcBrowserDialog.html#gimp-proc-browser-dialog-get-selected" title="gimp_proc_browser_dialog_get_selected ()">gimp_proc_browser_dialog_get_selected</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpProcBrowserDialog.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpProcBrowserDialog.html#GimpProcBrowserDialog-row-activated" title="The “row-activated” signal">row-activated</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></td>
</tr>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpProcBrowserDialog.html#GimpProcBrowserDialog-selection-changed" title="The “selection-changed” signal">selection-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpProcBrowserDialog.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpProcBrowserDialog.html#GimpProcBrowserDialog-struct" title="GimpProcBrowserDialog">GimpProcBrowserDialog</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpProcBrowserDialog.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkWindow.html#GtkWindow-struct">GtkWindow</a>
                            <span class="lineart">╰──</span> <a href="../gtk2/GtkDialog.html#GtkDialog-struct">GtkDialog</a>
                                <span class="lineart">╰──</span> <a href="../html/GimpDialog.html#GimpDialog-struct">GimpDialog</a>
                                    <span class="lineart">╰──</span> GimpProcBrowserDialog
</pre>
</div>
<div class="refsect1">
<a name="GimpProcBrowserDialog.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpProcBrowserDialog implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpProcBrowserDialog.description"></a><h2>Description</h2>
<p>The dialog for the procedure and plugin browsers.</p>
</div>
<div class="refsect1">
<a name="GimpProcBrowserDialog.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-proc-browser-dialog-new"></a><h3>gimp_proc_browser_dialog_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_proc_browser_dialog_new (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *title</code></em>,
                              <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *role</code></em>,
                              <em class="parameter"><code><a href="../html/libgimpwidgets-GimpHelpUI.html#GimpHelpFunc"><span class="type">GimpHelpFunc</span></a> help_func</code></em>,
                              <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *help_id</code></em>,
                              <em class="parameter"><code>...</code></em>);</pre>
<p>Create a new <a class="link" href="GimpProcBrowserDialog.html" title="GimpProcBrowserDialog"><span class="type">GimpProcBrowserDialog</span></a>.</p>
<div class="refsect3">
<a name="gimp-proc-browser-dialog-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>title</p></td>
<td class="parameter_description"><p>The dialog's title.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>role</p></td>
<td class="parameter_description"><p>The dialog's role, see <a href="../gtk2/GtkWindow.html#gtk-window-set-role"><code class="function">gtk_window_set_role()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>help_func</p></td>
<td class="parameter_description"><p>The function which will be called if the user presses "F1".</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>help_id</p></td>
<td class="parameter_description"><p>The help_id which will be passed to <em class="parameter"><code>help_func</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>...</p></td>
<td class="parameter_description"><p>A <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>-terminated list destribing the action_area buttons.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-proc-browser-dialog-new.returns"></a><h4>Returns</h4>
<p> a newly created <a class="link" href="GimpProcBrowserDialog.html" title="GimpProcBrowserDialog"><span class="type">GimpProcBrowserDialog</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-proc-browser-dialog-get-selected"></a><h3>gimp_proc_browser_dialog_get_selected ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
gimp_proc_browser_dialog_get_selected (<em class="parameter"><code><a class="link" href="GimpProcBrowserDialog.html" title="GimpProcBrowserDialog"><span class="type">GimpProcBrowserDialog</span></a> *dialog</code></em>);</pre>
<p>Retrieves the name of the currently selected procedure.</p>
<div class="refsect3">
<a name="gimp-proc-browser-dialog-get-selected.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>dialog</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpProcBrowserDialog.html" title="GimpProcBrowserDialog"><span class="type">GimpProcBrowserDialog</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-proc-browser-dialog-get-selected.returns"></a><h4>Returns</h4>
<p> The name of the selected procedure of <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if no
procedure is selected.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpProcBrowserDialog.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpProcBrowserDialog-struct"></a><h3>GimpProcBrowserDialog</h3>
<pre class="programlisting">typedef struct _GimpProcBrowserDialog GimpProcBrowserDialog;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpProcBrowserDialog.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpProcBrowserDialog-row-activated"></a><h3>The <code class="literal">“row-activated”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpProcBrowserDialog.html" title="GimpProcBrowserDialog"><span class="type">GimpProcBrowserDialog</span></a> *dialog,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>               user_data)</pre>
<p>Emitted when one of the rows in the contained <a href="../gtk2/GtkTreeView.html#GtkTreeView-struct"><span class="type">GtkTreeView</span></a> is activated.</p>
<div class="refsect3">
<a name="GimpProcBrowserDialog-row-activated.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>dialog</p></td>
<td class="parameter_description"><p>the object that received the signal</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpProcBrowserDialog-selection-changed"></a><h3>The <code class="literal">“selection-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpProcBrowserDialog.html" title="GimpProcBrowserDialog"><span class="type">GimpProcBrowserDialog</span></a> *dialog,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>               user_data)</pre>
<p>Emitted when the selection in the contained <a href="../gtk2/GtkTreeView.html#GtkTreeView-struct"><span class="type">GtkTreeView</span></a> changes.</p>
<div class="refsect3">
<a name="GimpProcBrowserDialog-selection-changed.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>dialog</p></td>
<td class="parameter_description"><p>the object that received the signal</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>